// Zoom Search CGI Front End.Demo software
// Main header file
// Copyright Wrensoft 2004, 2005, 2006
// www.wrensoft.com

#ifndef CGIFRONT_END_H
#define CGIFRONT_END_H

#define PROGRAM_NAME				"CGIFrontEnd"
#define PROGRAM_VERSION				"V1.3"
#define PROGRAM_BUILD				"1000"

#define MIN_WINDOW_WIDTH			600		//Minimum dialog width
#define MIN_WINDOW_HEIGHT			350		//Minimum dialog height
#define WEBCTRL_OFFSET_X			10		//X Offset of web control in the dialog
#define WEBCTRL_OFFSET_Y			140		//Y Offset of web cotnrol int the dialog
#define WEBCTRL_WIDTHOFFSET_X		20		//Offset for width of web control 
#define WEBCTRL_HEIGHTOFFSET_X		160		//Offset for height of web control 

#define MAX_PATH_LEN				512
#define MAX_SEARCH_STRING_LEN		300
#define MAX_ENVIRONMENT_STRING_LEN	1024
#define MAX_URL_LEN					2048
#define MAX_HEADER_TEXT_LEN			1024
#define MAX_RESULT_BUFF_LEN			64000
#define OK							true
#define NOK							false

// Global variables
#if defined (MAIN_MODULE)
	HWND        ghMainWnd;					//Main window
	char		lastURL[MAX_URL_LEN];		//last URL that was clicked and needs processing
	char		RunDirName[MAX_PATH_LEN];

#else
	extern	HWND        ghMainWnd;
	extern 	char		lastURL[MAX_URL_LEN];
	extern  char		RunDirName[MAX_PATH_LEN];
#endif

// Prototypes
HANDLE SpawnWithRedirect (char *ProgName);

#endif //CGIFRONT_END_H